> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# starknet_getStorageAt | Starknet

> Starknet API method that returns the storage value at a given position for a given account. starknet_getStorageAt on Starknet via Chainstack.

<Note>
  **Starknet OpenRPC spec**

  For the latest version of the publicly maintained OpenRPC spec, see the [Starknet specs GitHub repo](https://github.com/starkware-libs/starknet-specs).
</Note>

Starknet API method that returns the storage value at a given position for a given account.

It provides the value stored at a specific position in the storage of an account. This is useful for clients or wallets to inspect the state of a smart contract at a specific block.

## Parameters

* `address` — the string of the address of the account.
* `position` — the string of the position in the storage.

## Response

* `result` — the value stored at the given position in the account's storage, represented as a hexadecimal string.

## Use case

A practical use case for `starknet_getStorageAt` is to inspect the state of a smart contract. For example, if a smart contract stores the balance of an account at a specific position in its storage, you can use `starknet_getStorageAt` to retrieve the balance of the account at a specific block.

## Deprecated feeder gateway method

The feeder gateway was deprecated on [December 11, 2023](https://community.starknet.io/t/feeder-gateway-deprecation/100233).

Example of the call you had to make to the feeder gateway before the deprecation:

```Text Shell theme={"system"}
curl 'https://alpha-mainnet.starknet.io/feeder_gateway/get_storage_at?contractAddress=0x00dA114221cb83fa859DBdb4C44bEeaa0BB37C7537ad5ae66Fe5e0efD20E6eB3&key=1297713107789520337982513184691958288380927033924334369025906284470037001886&blockNumber=latest'
```


## OpenAPI

````yaml openapi/starknet_node_api/starknet_getStorageAt.json POST /365cf697a3ad6d950b4c4a911e2e4f4d
openapi: 3.0.0
info:
  title: starknet
  version: 1.0.0
  contact: {}
servers:
  - url: https://starknet-mainnet.core.chainstack.com
security: []
paths:
  /365cf697a3ad6d950b4c4a911e2e4f4d:
    post:
      summary: starknet_getStorageAt
      description: starknet_getStorageAt
      operationId: starknetGetStorageAt
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: starknet_getStorageAt
                params:
                  type: array
                  items:
                    type: string
                  default:
                    - >-
                      0x00dA114221cb83fa859DBdb4C44bEeaa0BB37C7537ad5ae66Fe5e0efD20E6eB3
                    - >-
                      0x2de7ac669936cc3b4e9784ff23826dc9056c74d54d3f41f1b0d28b36966369e
                    - latest
      responses:
        '200':
          description: Successful response

````